%define major	1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: 	 	gavl
Summary: 	Gmerlin Audio Video Library
Version: 	1.2.0
Release: 	2
Source:		http://downloads.sourceforge.net/project/gmerlin/%{name}/%{version}/%{name}-%{version}.tar.gz
URL:		http://gmerlin.sourceforge.net/
License:	GPLv2+
Group:		System/Libraries
BuildRequires:	pkgconfig 
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	doxygen

%description
GAVL is short for Gmerlin Audio Video Library. It standardized types audio
and video formats, and defines generic container types for video frames and
blocks of audio samples.

In addition, it handles the sometimes ugly task to convert between all these
formats. The idea is to be able to convert from any format to any other with
the lowest possible CPU usage. 

%package -n     %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n     %{develname}
Summary:        Header files and static libraries from %name
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
%rename		%{name}-devel
Obsoletes:	%mklibname gavl 0 -d

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
#Disable buildtime cpu detection
sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac

%build
autoreconf -fi
# Adding some upstream CFLAGS
export CFLAGS="%{optflags} -O3 -funroll-all-loops -fomit-frame-pointer -ffast-math -fvisibility=hidden"
%configure2_5x	--disable-static \
		--disable-cpu-clip \

%make
										
%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc AUTHORS TODO README
%doc %{_datadir}/doc/gavl/apiref
%{_libdir}/pkgconfig/*
%{_includedir}/gavl
%{_libdir}/*.so
%{_libdir}/*.la


%changelog
* Thu Nov 24 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-2
+ Revision: 733130
- use %%rename macro
- gcc flags are overridable, no need for using sed
- use pkgconfig(foo) for buildrequires
- clean out old junk

* Sun Jan 09 2011 Funda Wang <fwang@mandriva.org> 1.2.0-1
+ Revision: 630808
- new version 1.2.0

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-4mdv2011.0
+ Revision: 610820
- rebuild

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 1.1.2-3mdv2010.1
+ Revision: 511080
- new verison 1.1.2

* Wed Jul 29 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 404048
- Update to new version 1.1.1
- Use Fedora hack to not build with CPU specific CFLAGS

* Thu Dec 18 2008 Funda Wang <fwang@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 315517
- New version 1.1.0
- fix string fmt

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2009.1
+ Revision: 292853
- New version 1.0.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-5mdv2009.0
+ Revision: 266837
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 1.0.0-4mdv2009.0
+ Revision: 213354
- put the header file into its original location

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 1.0.0-3mdv2009.0
+ Revision: 213345
- move config.h into correct dir
- obsoletes old devel name

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 213314
- New version 1.0.0

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 0.2.5-2mdv2008.1
+ Revision: 136426
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.5-2mdv2008.0
+ Revision: 89661
- rebuild


* Thu Mar 15 2007 Austin Acton <austin@mandriva.org> 0.2.5-1mdv2007.1
+ Revision: 144176
- new release
- Import gavl

* Sat Mar 04 2006 Austin Acton <austin@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Sat Oct 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Jun 06 2005 Austin Acton <austin@mandriva.org> 0.2.2-1mdk
- 0.2.2

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 0.2.1-1mdk
- initial package

